Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.constructor
Class SafeConstructor.ConstructYamlSeq

    java.lang.Object
      org.yaml.snakeyaml.constructor.SafeConstructor.ConstructYamlSeq

All Implemented Interfaces:
  Construct

Enclosing class:
  SafeConstructor

    public class SafeConstructor.ConstructYamlSeq

extends Object
implements Construct

Constructor Summary
`SafeConstructor.ConstructYamlSeq()`

Method Summary
`Object` | `construct(Node node)` Construct a Java instance with all the properties injected when it is possible.
`void` | `construct2ndStep(Node node, Object data)` Apply the second step when constructing recursive structures.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SafeConstructor.ConstructYamlSeq

    public SafeConstructor.ConstructYamlSeq()

Method Detail

### construct

    public Object construct(Node node)

  Description copied from interface: `Construct`
  Construct a Java instance with all the properties injected when it is possible.

  Specified by:
    `construct` in interface `Construct`
  Parameters:
    `node` - composed Node
  Returns:
    a complete Java instance

### construct2ndStep

    public void construct2ndStep(Node node,
                                 Object data)

  Description copied from interface: `Construct`
  Apply the second step when constructing recursive structures. Because the instance is already created it can assign a reference to itself.

  Specified by:
    `construct2ndStep` in interface `Construct`
  Parameters:
    `node` - composed Node
    `data` - the instance constructed earlier by `construct(Node node)` for the provided Node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.